[arch-commits] Commit in libnl/trunk (PKGBUILD fix-compilation.patch)

Thomas Bächler thomas at archlinux.org
Fri Jun 26 05:19:27 EDT 2009


    Date: Friday, June 26, 2009 @ 05:19:27
  Author: thomas
Revision: 43637

Fix source URL and compilation

Added:
  libnl/trunk/fix-compilation.patch
Modified:
  libnl/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |    7 +++++--
 fix-compilation.patch |   10 ++++++++++
 2 files changed, 15 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-26 08:40:34 UTC (rev 43636)
+++ PKGBUILD	2009-06-26 09:19:27 UTC (rev 43637)
@@ -9,11 +9,14 @@
 url="http://people.suug.ch/~tgr/libnl"
 license=('GPL')
 depends=('glibc')
-source=(http://people.suug.ch/~tgr/${pkgname}/files/${pkgname}-${pkgver}.tar.gz)
-md5sums=('ae970ccd9144e132b68664f98e7ceeb1')
+source=(ftp://ftp.archlinux.org/other/libnl/${pkgname}-${pkgver}.tar.gz
+        fix-compilation.patch)
+md5sums=('ae970ccd9144e132b68664f98e7ceeb1'
+         'e1f5e82c8aa1b3ad025c7b588178de1e')
 
 build() {
   cd ${startdir}/src/libnl-${pkgver}
+  patch -Np1 -i ${srcdir}/fix-compilation.patch || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1

Added: fix-compilation.patch
===================================================================
--- fix-compilation.patch	                        (rev 0)
+++ fix-compilation.patch	2009-06-26 09:19:27 UTC (rev 43637)
@@ -0,0 +1,10 @@
+--- libnl-1.1.orig/include/netlink-local.h	2008-01-14 16:48:45.000000000 +0100
++++ libnl-1.1/include/netlink-local.h	2009-06-26 11:15:33.186011844 +0200
+@@ -26,6 +26,7 @@
+ #include <sys/socket.h>
+ #include <inttypes.h>
+ #include <assert.h>
++#include <limits.h>
+ 
+ #include <arpa/inet.h>
+ #include <netdb.h>



More information about the arch-commits mailing list